Subject: Re: Should the bridge learn from frames with link local destination MAC address?

From: Andrew Lunn <[email-masked]>
Date: Sun, 11 Nov 2018 00:46:04 +0100

> >Andrew, I agree with your analysis also. We have hit this problem too
> >(and we have an internal bug tracking it).
> >We have not acted on this so far because of the fear of breaking
> >existing deployments. I am all for fixing this if there is a
> >clean way.
> 
> +1 and since this would be a new bridge boolean option I'd like to add one new
> 64 bit option with mask for new boolean bridge options so we can avoid
> increasing the max rtnl attr id for such options. Please let me know
> if you plan to work on the new option or I can cook something.

Hi Nik

For the moment i made a hack, which is enough for my own personal use.

I'm not too familiar with the bridge code and its netlink interface. I
suspect you can implement this properly much quicker than i could. So
i would prefer leaving it to you. But we can talk about this during
LPC.

  Andrew